<template>
  <div class="container">
    <div class="topBar">
      {{name}}
      <div class="icon">
        <img :src="goback" @click="gotoMessage()" alt="">
      </div>
    </div>
    <div class="content" style="overflow:auto">
      <div class="list" v-for="(item,index) in reverseData" :key="index" >
        <div class="time">{{item.time}}</div>
        <div class="main">
          <div class="above">
            <img class="head-img" :src="item.senderAvatarUrl" alt="">
            <div class="center">
              <div class="name">{{item.type}}</div>
              <div class="stat">{{name}}</div>
            </div>
          </div>
          <div class="below">
            <div class="title">{{item.content}}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import goback from '@/assets/goback.png'
export default {
  name: 'MessageClick',
  components: {},
  props: {},
  data () {
    return {
      goback,
      messageFromOne: [],
      name:''
    }
  },
  computed:{
    reverseData(){
      return this.messageFromOne.reverse();
    }
  },
  mounted () {
    this.messageFromOne = this.$route.query.mes
    this.name = this.$route.query.name
    console.log(this.messageFromOne)
    console.log(this.name)
  },
  methods: {
    gotoMessage () {
      this.$router.push('/message')
    }
  }
}
</script>

<style scoped lang="less">
  .container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    .topBar {
      display:flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      font-size: 17.7px;
      letter-spacing:3px;
      text-indent: 3px;
      font-weight: bold;
      color: #8c8c8c;
      height:54.5px;
      width:100%;
      position:fixed;
      top:0;
      background: #fff;
      z-index: 999;
      .icon{
        position: absolute;
        top:16.5px;
        left:5.47%;
        img{
          width:13.5px;
          height:18.5px;
        }
      }
    }
    .content{
      margin-top:73px;
      .list {
        .time{
          font-size:14px;
          text-align: center;
        }
        .main {
          margin: 15px;
          padding-left: 4.8%;
          padding-right: 4.8%;
          background: #fff;
          overflow: auto;
          .above {
            display: flex;
            align-items: center;
            img {
              width: 33px;
              height: 33px;
              border: 1px solid #a9a9a9;
              background: #e8e8e8;
              border-radius: 50%;
              margin-top: 12px;
              margin-right: 3.5%;
            }
            .center {
              flex: 1;
              .name {
                font-size: 14px;
                color: #3170ff;
                font-weight: bolder;
                margin-top: 13px;
              }
              .stat {
                font-size: 12.7px;
                margin-top: 4px;
                font-weight: bold;
                color: #3d3d3d;
              }
            }
          }
          .below {
            display: grid;
            .title {
              font-weight: bold;
              font-size: 13.5px;
              color: #333333;
              margin-top: 10px;
            }
            .detail {
              font-size: 12px;
              color: #7c7c7c;
              font-weight: lighter;
              margin-top: 6px;
              margin-bottom: 20px;
            }
            .date {
              font-size: 11px;
              color: #acacac;
              text-align: right;
            }
          }
        }
      }
    }
  }
</style>
